from bot_core.logging.database_logger import DatabaseLogger
from bot_data.abc.migration_abc import MigrationABC
from bot_data.db_context import DBContext


class AutoRoleFix1Migration(MigrationABC):
    name = '0.3.0_AutoRoleMigration'

    def __init__(self, logger: DatabaseLogger, db: DBContext):
        MigrationABC.__init__(self)
        self._logger = logger
        self._db = db
        self._cursor = db.cursor

    def upgrade(self):
        self._logger.debug(__name__, 'Running upgrade')

        self._cursor.execute(
            str(f"""
            ALTER TABLE AutoRoles ADD DiscordChannelId BIGINT NOT NULL AFTER ServerId;
            """)
        )

    def downgrade(self):
        self._cursor.execute(
            str(f"""
            ALTER TABLE AutoRoles DROP COLUMN DiscordChannelId;
            """)
        )
